Bug 1334289 - glibc: ldconfig -X should not remove stale symbolic links
Summary: glibc: ldconfig -X should not remove stale symbolic links
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-09 10:44 UTC by Florian Weimer
Modified: 2016-05-15 04:57 UTC (History)
9 users (show)

Fixed In Version: glibc-2.23.1-7.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-15 04:57:45 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1301990 1 None None None 2021-01-20 06:05:38 UTC
Sourceware 19610 0 None None None 2016-05-09 10:44:55 UTC

Internal Links: 1301990

Description Florian Weimer 2016-05-09 10:44:56 UTC
The ldconfig manual says:

  -X     Don't update links.

However, “ldconfig -X” still removes stale symbolic links, which is confusing.

Already fixed in rawhide.

Comment 2 Florian Weimer 2016-05-09 10:48:45 UTC
Fixed for 2.23 upstream with this new backport:

commit c4294bd8620fabf0afddc2b85701371fafd40a6b
Author: Florian Weimer <fweimer@redhat.com>
Date:   Mon Mar 7 22:06:18 2016 +0100

    ldconfig: Do not remove stale symbolic links with -X [BZ #19610]
    
    (cherry picked from commit 920b35c92ed8f41796c090c2819434e56701da5b)

Comment 3 Fedora Update System 2016-05-09 14:55:49 UTC
glibc-2.23.1-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74

Comment 4 Fedora Update System 2016-05-10 20:29:39 UTC
glibc-2.23.1-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74

Comment 5 Fedora Update System 2016-05-11 13:54:02 UTC
glibc-2.23.1-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74

Comment 6 Fedora Update System 2016-05-12 09:43:34 UTC
glibc-2.23.1-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74

Comment 7 Fedora Update System 2016-05-14 23:29:31 UTC
glibc-2.23.1-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.